﻿@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    Layout = null;
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}
@model AEWeb.ViewModels.Security.RegisterApplicationUser
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] -  - @Localizer["ApplicationName"]</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <environment names="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/lib/font-awesome/css/font-awesome.css" />
        <link rel="stylesheet" href="~/css/animate.css" />
        <link rel="stylesheet" href="~/css/style.css" asp-append-version="true" />

        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
        <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
    </environment>
    <environment names="Staging,Production">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="~/lib/font-awesome/css/font-awesome.min.css" />
        <link rel="stylesheet" href="~/css/animate.css" />
        <link rel="stylesheet" href="~/css/style.css" asp-append-version="true" />
    </environment>


</head>
<body class="gray-bg">

    <div class="middle-box text-center loginscreen   animated fadeInDown">
        <div>
            <div>

                <h1 class="logo-name">@Localizer["ApplicationName"]</h1>

            </div>
            <h3>@Localizer["RegisterTo"] @Localizer["ApplicationName"]</h3>
            <p>@Localizer["CreateAccountAndDescLbl"]</p>
            <form class="m-t" role="form" action="@Url.Action("Register", "Security" )" method="post">
                <div class="form-group">
                    <input asp-for="FirstName" class="form-control" 
                           placeholder='@Localizer["FirstnameFld"]' >
                    <span asp-validation-for="FirstName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="LastName" class="form-control"
                           placeholder='@Localizer["LastnameFld"]'>
                    <span asp-validation-for="LastName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="Email" class="form-control"
                           placeholder='@Localizer["EmailFld"]'>
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="Password"
                           class="form-control"
                           placeholder='@Localizer["PasswordFld"]' />
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="PasswordConfirmation"
                           class="form-control" 
                           placeholder='@Localizer["AgainPasswordFld"]' />
                    <span asp-validation-for="PasswordConfirmation" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <div class="checkbox"><label> <input type="checkbox"><i></i> @Localizer["AgreeTermsNPolicy"] </label></div>
                </div>
                <button id="submitRegister" type="submit" class="btn btn-success block full-width m-b">@Localizer["RegisterLbl"]</button>

                <p class="text-muted text-center"><small>@Localizer["AlreadyAnAccountLbl"]</small></p>
                <a class="btn btn-sm btn-white btn-block" href="@Url.Action("Login", "Security" )">Login</a>
            </form>
            <p class="m-t"> <small>Inspinia we app framework base on Bootstrap 3 &copy; 2014</small> </p>
        </div>
    </div>


    <script type="text/javascript">

        //(function () {
        //    document.querySelector('#submitRegister')
        //        .addEventListener('click', () => {
        //            var pass1 = document.querySelector('#inputPassword').value;
        //            var pass2 = document.querySelector('#inputPassword2').value;
        //            if (pass1 == pass2)
        //                return true;
        //            alert('No son iguales');
        //            return false;
        //        });
        //})();

        //function setPatternPassword2(pwdFld) {
        //    pwdFld.parentElement.nextElementSibling.firstElementChild.pattern = pwdFld.value;
        //}

    </script>
</body>
</html>
